Zum Hauptinhalt springen
POST
/
augment
/
scrape
/api/v1/augment/scrape
curl --request POST \
  --url https://api.venice.ai/api/v1/augment/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://example.com"
}
'
{
  "url": "https://example.com",
  "content": "<string>",
  "format": "markdown"
}
Dies ist eine experimentelle API. Das Request- und Response-Format kann sich ohne Vorankündigung ändern.
Senden Sie eine öffentlich zugängliche URL im Feld url. Die API gibt den Seiteninhalt als Markdown zurück. Der Scraper versucht zuerst die native Markdown-Unterstützung der Zielseite (über Cloudflare Markdown for Agents) und greift dann auf eine Headless-Browser-Extraktion zurück. Einige Seiten, die automatisierten Zugriff blockieren (z. B. X/Twitter, Reddit), werden sofort mit einem 400-Fehler abgelehnt. Preise: $0.01 pro Anfrage.

Beispiel (cURL)

curl -X POST https://api.venice.ai/api/v1/augment/scrape \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://example.com"}'

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
url
string<uri>
erforderlich

The URL to scrape

Beispiel:

"https://example.com"

Antwort

Successfully scraped the URL

url
string
erforderlich

The URL that was scraped

Beispiel:

"https://example.com"

content
string
erforderlich

The scraped content in markdown format

format
enum<string>
erforderlich

The format of the scraped content

Verfügbare Optionen:
markdown